> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timelockdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Evidence



## OpenAPI

````yaml POST /evidences/{COMPANY_ID}/category/{CATEGORY_ID}/subcategory/{SUBCATEGORY_ID}/evidence
openapi: 3.0.0
info:
  title: TimeLockData API
  description: Public API for evidence management and blockchain traceability
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.timelockdata.com/api/v1
    description: Production
security: []
tags: []
paths:
  /evidences/{COMPANY_ID}/category/{CATEGORY_ID}/subcategory/{SUBCATEGORY_ID}/evidence:
    post:
      tags:
        - Evidence Management
      summary: Add a evidence
      operationId: DigitalTwinController_addDigitalTwin
      parameters:
        - name: COMPANY_ID
          required: true
          in: path
          description: Company identifier
          schema:
            type: string
        - name: SUBCATEGORY_ID
          required: true
          in: path
          description: Subcategory identifier
          schema:
            type: string
        - name: CATEGORY_ID
          required: true
          in: path
          description: Category identifier
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AddDigitalTwinRequest'
      responses:
        '201':
          description: Evidence created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddDigitalTwinResponse'
      security:
        - APIKeyAuth: []
components:
  schemas:
    AddDigitalTwinRequest:
      type: object
      properties:
        externalId:
          type: string
          description: External identifier of the evidence
        name:
          type: string
          description: Name of the evidence
        image:
          type: string
          description: Icon image for the evidence
          format: binary
        images:
          type: array
          description: Additional images
          items:
            type: string
            format: binary
        description:
          type: string
          description: Description of the evidence
        summary:
          type: string
          description: Summary of the evidence
        owner:
          type: string
          description: Initial owner of the evidence
        meta:
          type: object
          description: Additional metadata for the evidence
      required:
        - externalId
        - name
        - owner
    AddDigitalTwinResponse:
      type: object
      properties:
        id:
          type: string
          description: ID of the newly created evidence
      required:
        - id
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````